Bug 1352057 - Duplicate nova hypervisors show up in nova hypervisor-list post 8 -> 9 upgrade
Summary: Duplicate nova hypervisors show up in nova hypervisor-list post 8 -> 9 upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Jiri Stransky
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1333977 1365789
TreeView+ depends on / blocked
 
Reported: 2016-07-01 14:08 UTC by Jiri Stransky
Modified: 2016-12-21 15:13 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-2.0.0-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1324739
: 1365789 (view as bug list)
Environment:
Last Closed: 2016-08-11 11:35:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC

Description Jiri Stransky 2016-07-01 14:08:16 UTC
+++ This bug was initially created as a clone of Bug #1324739 +++

This is the same as bug 1324739 but occuring in 8->9 upgrade.

[stack@instack ~]$ nova service-list
+----+------------------+------------------------------------+----------+---------+-------+----------------------------+-----------------+
| Id | Binary           | Host                               | Zone     | Status  | State | Updated_at                 | Disabled Reason |
+----+------------------+------------------------------------+----------+---------+-------+----------------------------+-----------------+
| 3  | nova-scheduler   | overcloud-controller-0.localdomain | internal | enabled | up    | 2016-06-29T16:06:37.000000 | -               |
| 6  | nova-scheduler   | overcloud-controller-2.localdomain | internal | enabled | up    | 2016-06-29T16:06:41.000000 | -               |
| 9  | nova-scheduler   | overcloud-controller-1.localdomain | internal | enabled | up    | 2016-06-29T16:06:44.000000 | -               |
| 12 | nova-consoleauth | overcloud-controller-0.localdomain | internal | enabled | up    | 2016-06-29T16:06:45.000000 | -               |
| 15 | nova-consoleauth | overcloud-controller-2.localdomain | internal | enabled | up    | 2016-06-29T16:06:40.000000 | -               |
| 18 | nova-consoleauth | overcloud-controller-1.localdomain | internal | enabled | up    | 2016-06-29T16:06:40.000000 | -               |
| 21 | nova-conductor   | overcloud-controller-0.localdomain | internal | enabled | up    | 2016-06-29T16:06:37.000000 | -               |
| 24 | nova-conductor   | overcloud-controller-1.localdomain | internal | enabled | up    | 2016-06-29T16:06:45.000000 | -               |
| 30 | nova-compute     | overcloud-compute-0.localdomain    | nova     | enabled | down  | 2016-06-29T16:02:10.000000 | -               |
| 33 | nova-conductor   | overcloud-controller-2.localdomain | internal | enabled | up    | 2016-06-29T16:06:39.000000 | -               |
| 62 | nova-compute     | localhost                          | nova     | enabled | up    | 2016-06-29T16:06:41.000000 | -               |
+----+------------------+------------------------------------+----------+---------+-------+----------------------------+-----------------+
[stack@instack ~]$ nova hypervisor-list
+----+---------------------------------+-------+---------+
| ID | Hypervisor hostname             | State | Status  |
+----+---------------------------------+-------+---------+
| 3  | overcloud-compute-0.localdomain | down  | enabled |
| 5  | overcloud-compute-0.localdomain | up    | enabled |
+----+---------------------------------+-------+---------+

Comment 3 Omri Hochman 2016-07-26 21:10:32 UTC
Verified .

Looks good with openstack-tripleo-heat-templates-2.0.0-21.el7ost.noarch


[stack@undercloud72 ~]$ . overcloudrc 
[stack@undercloud72 ~]$ nova hypervisor-list
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:303: SubjectAltNameWarning: Certificate for 10.19.184.210 has no `subjectAltName`, falling back to check for a `commo
ature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:303: SubjectAltNameWarning: Certificate for 10.19.184.210 has no `subjectAltName`, falling back to check for a `commo
ature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SubjectAltNameWarning
+----+---------------------------------+-------+---------+
| ID | Hypervisor hostname             | State | Status  |
+----+---------------------------------+-------+---------+
| 2  | overcloud-compute-0.localdomain | up    | enabled |
+----+---------------------------------+-------+---------+


+-----+------------------+------------------------------------+----------+---------+-------+----------------------------+-----------------+
| Id  | Binary           | Host                               | Zone     | Status  | State | Updated_at                 | Disabled Reason |
+-----+------------------+------------------------------------+----------+---------+-------+----------------------------+-----------------+
| 2   | nova-scheduler   | overcloud-controller-0.localdomain | internal | enabled | up    | 2016-07-26T21:07:20.000000 | -               |
| 5   | nova-scheduler   | overcloud-controller-2.localdomain | internal | enabled | up    | 2016-07-26T21:07:20.000000 | -               |
| 8   | nova-scheduler   | overcloud-controller-1.localdomain | internal | enabled | up    | 2016-07-26T21:07:20.000000 | -               |
| 11  | nova-consoleauth | overcloud-controller-0.localdomain | internal | enabled | up    | 2016-07-26T21:07:19.000000 | -               |
| 14  | nova-consoleauth | overcloud-controller-2.localdomain | internal | enabled | up    | 2016-07-26T21:07:18.000000 | -               |
| 17  | nova-consoleauth | overcloud-controller-1.localdomain | internal | enabled | up    | 2016-07-26T21:07:18.000000 | -               |
| 20  | nova-conductor   | overcloud-controller-2.localdomain | internal | enabled | up    | 2016-07-26T21:07:22.000000 | -               |
| 56  | nova-conductor   | overcloud-controller-1.localdomain | internal | enabled | up    | 2016-07-26T21:07:22.000000 | -               |
| 86  | nova-conductor   | overcloud-controller-0.localdomain | internal | enabled | up    | 2016-07-26T21:07:22.000000 | -               |
| 104 | nova-compute     | overcloud-compute-0.localdomain    | nova     | enabled | up    | 2016-07-26T21:07:19.000000 | -               |
+-----+------------------+------------------------------------+----------+---------+-------+----------------------------+-----------------+


nova list : 

+--------------------------------------+-------------------------+--------+------------+-------------+-----------------------+
| ID                                   | Name                    | Status | Task State | Power State | Networks              |
+--------------------------------------+-------------------------+--------+------------+-------------+-----------------------+
| eff0cbec-79fa-4d67-b185-216d0cf45f4c | overcloud-cephstorage-0 | ACTIVE | -          | Running     | ctlplane=192.168.0.8  |
| 13889a06-8be4-49fa-a0dc-2e1a7f9fb893 | overcloud-cephstorage-1 | ACTIVE | -          | Running     | ctlplane=192.168.0.7  |
| 3028f323-6cd7-4e54-a605-f061741ada20 | overcloud-compute-0     | ACTIVE | -          | Running     | ctlplane=192.168.0.9  |
| e6313445-96cf-4fe2-b70d-6386dc64f6d4 | overcloud-controller-0  | ACTIVE | -          | Running     | ctlplane=192.168.0.11 |
| a62f2db7-64d3-4762-87a2-851db25157ef | overcloud-controller-1  | ACTIVE | -          | Running     | ctlplane=192.168.0.10 |
| af1b33ca-9cef-49ac-a724-654fad68f841 | overcloud-controller-2  | ACTIVE | -          | Running     | ctlplane=192.168.0.12 |

Comment 6 errata-xmlrpc 2016-08-11 11:35:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.